using System;
using System.Net;

namespace PrikladyZive68
{
	/// <summary>
	/// Ukazka pristupu ke specifickym vlastnostem pomoci 
	/// trid HttpWebRequest a HttpWebResponse
	/// </summary>
	public class HttpSpecificFeatures
	{
		public static void Run()
		{
			//nacteni URI, na ktery bude proveden pozadavek
			Console.Write("Zadejte adresu pro HTTP pozadavek (napr. www.zive.cz) : ");
			string uri = "http://" + Console.ReadLine();
			//vytvoreni instance pozadavku
			HttpWebRequest request = (HttpWebRequest) WebRequest.Create(uri);
			//nastaveni specificke vlastnosti HTTP pozadavku
			request.UserAgent = "Pokusny klient";
			HttpWebResponse response = null;
			try
			{
				response = (HttpWebResponse)request.GetResponse();
				//precteni specifickych vlastnosti HTTP odpovedi
				Console.WriteLine("Last modified : {0}", response.LastModified);
				Console.WriteLine("Status code : {0}", response.StatusCode);
			}
			finally
			{
				if (response != null)
				{
					response.Close();
				}
			}
		}
	}
}
