using System;
using System.Net;

namespace PrikladyZive68
{
	/// <summary>
	/// Ukazka pouziti vlastnosti Headers
	/// </summary>
	public class ResponseHeaders
	{
		public static void Run()
		{
			//nacteni URI, na ktery bude proveden pozadavek
			Console.Write("Zadejte URI (napr. http://www.zive.cz) : ");
			string uri = Console.ReadLine();
			//vytvoreni instance pozadavku
			WebRequest request = WebRequest.Create(uri);
			WebResponse response = null;
			try
			{
				//vyslani pozadavku a ziskani odpovedi
				response = request.GetResponse();
				for (int i = 0; i < response.Headers.Count; i++)
				{
					string headerKey = response.Headers.GetKey(i);
					string headerValue = response.Headers[i];
					Console.WriteLine("{0} - {1}", headerKey, headerValue);
				}
			}
			catch(WebException ex)
			{
				Console.WriteLine("Doslo k vyjimce : {0}", ex.ToString());
			}
			finally
			{
				if (response != null)
				{
					response.Close();
				}

			}
		}
		
	}
}
