using System;
using System.IO;
using System.Net;

namespace PrikladyZive68
{
	/// <summary>
	/// Ukazka vytvoreni pozadavku pomoci tridy WebRequest
	/// </summary>
	public class SimpleRequest
	{
		public static void Run()
		{
			//nacteni URI, na ktery bude proveden pozadavek
			Console.Write("Zadejte URI (napr. http://www.zive.cz) : ");
			string uri = Console.ReadLine();
			//vytvoreni instance pozadavku
			WebRequest request = WebRequest.Create(uri);
			WebResponse response = null;
			StreamReader reader = null;
			try
			{
				//vyslani pozadavku a ziskani odpovedi
				response = request.GetResponse();
				//ziskani datoveho proudu odpovedi
				Stream strm = response.GetResponseStream();
				reader = new StreamReader(strm);
				//nacteni textu odpovedi
				string content = reader.ReadToEnd();
				Console.WriteLine(content);
			}
			catch(WebException ex)
			{
				Console.WriteLine("Doslo k vyjimce : {0}", ex.ToString());
			}
			finally
			{
				if (reader != null)
				{
					reader.Close();
				}
				if (response != null)
				{
					response.Close();
				}

			}
		}
	}
}
